Panodata Community

Problems installing discodoc on WSL2

We made GitHub - panodata/discodoc: Create hardcopy-like documents from Discourse content easily the other day and wrote about it over at Dokumente aus Discourse Themen erzeugen - Maschinenraum / Machine room - Hiveeyes.

Now, people want to use it within a WSL2 environment. Let’s see what we can do for them.

Wollte das gerade mal testen, bekomme aber

root@XPS13-CGruber:~# http 'https://community.hiveeyes.org/t/anleitung-aufbau-und-installation-des-sensor-kits-grune-platine/2443.json?include_raw=true' | jq -r '.post_stream.posts[0].cooked' > 2443.cooked.html
parse error: Invalid numeric literal at line 1, column 16

Please add the --follow parameter to the HTTPie call. Thanks!


$ http 'https://community.hiveeyes.org/t/anleitung-aufbau-und-installation-des-sensor-kits-grune-platine/2443.json?include_raw=true'
HTTP/1.1 301 Moved Permanently
Cache-Control: no-cache, no-store
Connection: keep-alive
Content-Type: text/html; charset=utf-8
Date: Wed, 16 Oct 2019 14:33:15 GMT
Location: https://community.hiveeyes.org/t/aufbau-und-installation-des-bee-observer-sensor-kits-grune-platine/2443.json

<html><body>You are being <a href="https://community.hiveeyes.org/t/aufbau-und-installation-des-bee-observer-sensor-kits-grune-platine/2443.json">redirected</a>.</body></html>

ah, da hängt es, Danke!

Ja. discodoc nimmt den Redirect aber scheinbar bereits automatisch mit, besser wäre also:

discodoc https://community.hiveeyes.org/t/anleitung-aufbau-und-installation-des-sensor-kits-grune-platine/2443
root@XPS13-CGruber:~# discodoc https://community.hiveeyes.org/t/anleitung-aufbau-und-installation-des-sensor-kits-grune-platine/2443 --format=pdf
Traceback (most recent call last):
  File "/usr/local/bin/discodoc", line 6, in <module>
    from discodoc.cli import run
  File "/usr/local/lib/python2.7/dist-packages/discodoc/cli.py", line 9, in <module>
    from discodoc.core import DiscodocCommand
  File "/usr/local/lib/python2.7/dist-packages/discodoc/core.py", line 58
    'created at {created_at} "{abstract}..."'.format(**post, abstract=abstract))
                                                           ^
SyntaxError: invalid syntax

… hmmm …

You should use a more recent version of Python here. Python3.7 will probably be the best choice.

Ich habe in /usr/local/lib python2 und python3, pip läuft wohl mit python2, um python3 zu nutzen habe ich jetzt pip3 installiert. Vielleicht statt pip install discodoc in https://pypi.org/project/discodoc/ pip3 install discodoc schreiben, damit klar ist, dass python 3 verlangt wird.

siehe auch https://stackoverflow.com/questions/10763440/how-to-install-python3-version-of-package-via-pip-on-ubuntu

wird aber auch nicht besser

root@XPS13-CGruber:/usr/local/lib# discodoc http://community.hiveeyes.org/t/anleitung-aufbau-und-installation-des-sensor-kits-grune-platine/2443 --format=pdf
2019-10-16 18:02:52,797 [requests.packages.urllib3.connectionpool] INFO   : Starting new HTTP connection (1): community.hiveeyes.org
2019-10-16 18:02:52,882 [requests.packages.urllib3.connectionpool] INFO   : Starting new HTTPS connection (1): community.hiveeyes.org
2019-10-16 18:02:53,272 [discodoc.core] INFO   : Collecting posts from topic #2443 "Aufbau und Installation des Bee Observer Sensor-Kits (grüne Platine)" created at 2019-08-10T21:11:50.830Z
Traceback (most recent call last):
  File "/usr/local/bin/discodoc", line 11, in <module>
    sys.exit(run())
  File "/usr/local/lib/python3.5/dist-packages/discodoc/cli.py", line 102, in run
    results = command.run()
  File "/usr/local/lib/python3.5/dist-packages/discodoc/core.py", line 108, in run
    self.run_sequential()
  File "/usr/local/lib/python3.5/dist-packages/discodoc/core.py", line 124, in run_sequential
    self.render_topic(url, filename_prefix=filename_prefix)
  File "/usr/local/lib/python3.5/dist-packages/discodoc/core.py", line 140, in render_topic
    topic.fetch()
  File "/usr/local/lib/python3.5/dist-packages/discodoc/core.py", line 56, in fetch
    abstract = post['raw'][:50].replace('\n', ' ')
KeyError: 'raw'

auf python 3.7 updaten?!?

bekomme unter WSL

python3 is already the newest version (3.5.1-3).

Eine zu kleine Python-Version (3.5 statt 3.7) kann hier eine Rolle spielen, es sieht für mich jedoch an dieser konkreten Stelle danach aus, dass auch hier dem Redirect nicht ordentlich gefolgt wird.

Das sollte eigentlich mit der aktuellen Version der requests Bibliothek gut funktionieren, siehe requests – Redirection and History. Vielleicht ist bei Dir aus irgendwelchen Gründen noch eine ältere installiert und Du kannst innerhalb des virtualenv per pip3 install requests --upgrade für Abhilfe sorgen.

root@XPS13-CGruber:~# discodoc http://community.hiveeyes.org/t/anleitung-aufbau-und-installation-des-sensor-kits-grune-platine/2443 --format=pdf
2019-10-16 18:49:49,754 [discodoc.core] ERROR  : Failed requesting URL "http://community.hiveeyes.org/t/anleitung-aufbau-und-installation-des-sensor-kits-grune-platine/2443.json?include_raw=true&print=true". The response was:
{"errors":["You’ve performed this action too many times, please try again later."]}

Haha, auch dem Server reicht es langsam! :wink:

Caveats

If you are hitting one of the global rate limits and throttling in Discourse indicated like:

{"errors":["You’ve performed this action too many times, please try again later."]}

You might want to authenticate using an appropriate API key like:

export DISCOURSE_API_KEY=5c58bf5e4027622543f5179938182099c8b97188d00a9dc9f184cd3ca66db5ea

https://github.com/panodata/discodoc#caveats

You can request a respective API key from your Discourse site administrator who can create a respective one on the users’ admin page.

The section looks like that:
image

Doch Python 3.7 nötig?

root@XPS13-CGruber:~# discodoc https://community.hiveeyes.org/t/volk-eingegangen-und-massive-rauberei/2635 --format=pdf
2019-10-16 21:44:25,035 [discodoc.core] INFO   : Collecting posts from topic #2635 "Volk eingegangen und massive Räuberei" created at 2019-10-15T19:25:53.892Z
2019-10-16 21:44:25,037 [discodoc.core] INFO   : Collecting post number 1 from topic 2635 created at 2019-10-15T19:25:53.941Z "Jahresverlauf bisher   https://community.hiveeyes...."
2019-10-16 21:44:25,038 [discodoc.core] INFO   : Collecting post number 2 from topic 2635 created at 2019-10-15T21:07:12.451Z "Das dashboard beobachte ich täglich und hatte scho..."
2019-10-16 21:44:25,040 [discodoc.core] INFO   : Collecting post number 3 from topic 2635 created at 2019-10-16T08:07:41.791Z "Das Volk habe ich nur ein mal "persönlich" gesehen..."
2019-10-16 21:44:25,041 [discodoc.core] INFO   : Collecting post number 4 from topic 2635 created at 2019-10-16T08:47:05.959Z "Vielleicht wurde die Königin bei der Durchsicht ab..."
2019-10-16 21:44:25,043 [discodoc.core] INFO   : Collecting post number 5 from topic 2635 created at 2019-10-16T10:15:37.344Z "Die Durchsicht war erst am 14.09., die Veränderung..."
2019-10-16 21:44:25,046 [discodoc.core] INFO   : Collecting post number 6 from topic 2635 created at 2019-10-16T10:36:55.715Z "und wann war vor dem 02.09. die letzte Durchsicht?..."
2019-10-16 21:44:25,050 [discodoc.core] INFO   : Collecting post number 7 from topic 2635 created at 2019-10-16T11:14:15.855Z "Die Königin muss auf jeden Fall bis 02.09. noch im..."
2019-10-16 21:44:25,057 [discodoc.core] INFO   : Collecting post number 8 from topic 2635 created at 2019-10-16T11:33:50.739Z "## Weisellosigkeit mit Temperatursensoren/-verläuf..."
2019-10-16 21:44:25,070 [discodoc.core] INFO   : Collecting post number 9 from topic 2635 created at 2019-10-16T13:38:47.098Z "Soeben war ich dort und habe mir mal die Lage kurz..."
2019-10-16 21:44:25,095 [discodoc.core] INFO   : Writing standalone file "Volk eingegangen und massive Räuberei.latex.pdf"
2019-10-16 21:44:25,098 [discodoc.core] INFO   : Invoking command: pandoc --standalone --self-contained --table-of-contents --from=html --to=latex --resource-path=./node_modules --variable=geometry:margin=2cm --metadata=title="Volk eingegangen und massive Räuberei" --metadata=date="2019-10-15T19:25:53.892Z" --output="/root/Volk eingegangen und massive Räuberei.latex.pdf"
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/discodoc/core.py", line 195, in pandoc
    outcome = subprocess.run(pargs, capture_output=True, timeout=60.0, check=True, encoding='utf-8')
  File "/usr/lib/python3.5/subprocess.py", line 693, in run
    with Popen(*popenargs, **kwargs) as process:
TypeError: __init__() got an unexpected keyword argument 'capture_output'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/discodoc", line 11, in <module>
    sys.exit(run())
  File "/usr/local/lib/python3.5/dist-packages/discodoc/cli.py", line 102, in run
    results = command.run()
  File "/usr/local/lib/python3.5/dist-packages/discodoc/core.py", line 108, in run
    self.run_sequential()
  File "/usr/local/lib/python3.5/dist-packages/discodoc/core.py", line 124, in run_sequential
    self.render_topic(url, filename_prefix=filename_prefix)
  File "/usr/local/lib/python3.5/dist-packages/discodoc/core.py", line 144, in render_topic
    return self.pandoc(topic.data['title'], filenames, filename_prefix=filename_prefix, metadata={'date': topic.data['created_at']})
  File "/usr/local/lib/python3.5/dist-packages/discodoc/core.py", line 198, in pandoc
    log.exception('Running pandoc failed, output was\nSTDOUT:\n{}\nSTDERR:\n{}\n'.format(ex.stdout, ex.stderr))
AttributeError: 'TypeError' object has no attribute 'stdout'

Ja, also doch!

Habe noch Ubuntu 16 unter WSL, dann erst mal ein update zu Ubuntu 18

Es macht echt keine Spaß! Nun habe ich auf Ubuntu 18 upgedatet. Nach diversien Reperaturen geht nun pip3 auch wieder. Leider hat das ganze bisher nix gebracht, da auch bei Ubuntu 18 nur Python 3.6 verwendet, also nochmal ran! :frowning:

Mit python3.7 -m pip install discodoc kann man pip anweisen für ein bestimmtest Modul eine dezidierte Python-Version zu verwenden, s. https://stackoverflow.com/questions/2812520/dealing-with-multiple-python-versions-and-pip

… das bringt aber auch leider nichts, bzw. jetzt Probleme mit pandoc

root@XPS13-CGruber:~# discodoc https://community.hiveeyes.org/t/volk-eingegangen-und-massive-rauberei/2635 --format=pdf
2019-10-17 11:23:40,850 [discodoc.core] INFO   : Collecting posts from topic #2635 "Volk eingegangen und massive Räuberei" created at 2019-10-15T19:25:53.892Z
2019-10-17 11:23:40,859 [discodoc.core] INFO   : Collecting post number 1 from topic 2635 created at 2019-10-15T19:25:53.941Z "Jahresverlauf bisher   https://community.hiveeyes...."
2019-10-17 11:23:40,866 [discodoc.core] INFO   : Collecting post number 2 from topic 2635 created at 2019-10-15T21:07:12.451Z "Das dashboard beobachte ich täglich und hatte scho..."
2019-10-17 11:23:40,869 [discodoc.core] INFO   : Collecting post number 3 from topic 2635 created at 2019-10-16T08:07:41.791Z "Das Volk habe ich nur ein mal "persönlich" gesehen..."
2019-10-17 11:23:40,873 [discodoc.core] INFO   : Collecting post number 4 from topic 2635 created at 2019-10-16T08:47:05.959Z "Vielleicht wurde die Königin bei der Durchsicht ab..."
2019-10-17 11:23:40,876 [discodoc.core] INFO   : Collecting post number 5 from topic 2635 created at 2019-10-16T10:15:37.344Z "Die Durchsicht war erst am 14.09., die Veränderung..."
2019-10-17 11:23:40,880 [discodoc.core] INFO   : Collecting post number 6 from topic 2635 created at 2019-10-16T10:36:55.715Z "und wann war vor dem 02.09. die letzte Durchsicht?..."
2019-10-17 11:23:40,894 [discodoc.core] INFO   : Collecting post number 7 from topic 2635 created at 2019-10-16T11:14:15.855Z "Die Königin muss auf jeden Fall bis 02.09. noch im..."
2019-10-17 11:23:40,900 [discodoc.core] INFO   : Collecting post number 8 from topic 2635 created at 2019-10-16T11:33:50.739Z "## Weisellosigkeit mit Temperatursensoren/-verläuf..."
2019-10-17 11:23:40,904 [discodoc.core] INFO   : Collecting post number 9 from topic 2635 created at 2019-10-16T13:38:47.098Z "Soeben war ich dort und habe mir mal die Lage kurz..."
2019-10-17 11:23:40,927 [discodoc.core] INFO   : Writing standalone file "Volk eingegangen und massive Räuberei.latex.pdf"
2019-10-17 11:23:40,932 [discodoc.core] INFO   : Invoking command: pandoc --standalone --self-contained --table-of-contents --from=html --to=latex --resource-path=./node_modules --variable=geometry:margin=2cm --metadata=title="Volk eingegangen und massive Räuberei" --metadata=date="2019-10-15T19:25:53.892Z" --output="/root/Volk eingegangen und massive Räuberei.latex.pdf"
2019-10-17 11:23:40,957 [discodoc.core] ERROR  : Running pandoc failed, output was
STDOUT:

STDERR:
pandoc: unrecognized option `--resource-path=./node_modules'
Try pandoc --help for more information.

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 195, in pandoc
    outcome = subprocess.run(pargs, capture_output=True, timeout=60.0, check=True, encoding='utf-8')
  File "/usr/lib/python3.7/subprocess.py", line 487, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['pandoc', '--standalone', '--self-contained', '--table-of-contents', '--from=html', '--to=latex', '--resource-path=./node_modules', '--variable=geometry:margin=2cm', '--metadata=title=Volk eingegangen und massive Räuberei', '--metadata=date=2019-10-15T19:25:53.892Z', '--output=/root/Volk eingegangen und massive Räuberei.latex.pdf', '/tmp/tmpoaoq6khl', '/tmp/tmpiempqd4d', '/tmp/tmpwuamyyi0', '/tmp/tmp3avb4rlz', '/tmp/tmpvwv8aptv', '/tmp/tmpueyi7ug9', '/tmp/tmphnalnmp8', '/tmp/tmphc3kk98q', '/tmp/tmpkrc7qb75']' returned non-zero exit status 2.
Traceback (most recent call last):
  File "/usr/local/bin/discodoc", line 11, in <module>
    sys.exit(run())
  File "/usr/local/lib/python3.7/dist-packages/discodoc/cli.py", line 102, in run
    results = command.run()
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 108, in run
    self.run_sequential()
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 124, in run_sequential
    self.render_topic(url, filename_prefix=filename_prefix)
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 144, in render_topic
    return self.pandoc(topic.data['title'], filenames, filename_prefix=filename_prefix, metadata={'date': topic.data['created_at']})
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 195, in pandoc
    outcome = subprocess.run(pargs, capture_output=True, timeout=60.0, check=True, encoding='utf-8')
  File "/usr/lib/python3.7/subprocess.py", line 487, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['pandoc', '--standalone', '--self-contained', '--table-of-contents', '--from=html', '--to=latex', '--resource-path=./node_modules', '--variable=geometry:margin=2cm', '--metadata=title=Volk eingegangen und massive Räuberei', '--metadata=date=2019-10-15T19:25:53.892Z', '--output=/root/Volk eingegangen und massive Räuberei.latex.pdf', '/tmp/tmpoaoq6khl', '/tmp/tmpiempqd4d', '/tmp/tmpwuamyyi0', '/tmp/tmp3avb4rlz', '/tmp/tmpvwv8aptv', '/tmp/tmpueyi7ug9', '/tmp/tmphnalnmp8', '/tmp/tmphc3kk98q', '/tmp/tmpkrc7qb75']' returned non-zero exit status 2.
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 63, in apport_excepthook
    from apport.fileutils import likely_packaged, get_recent_crashes
  File "/usr/lib/python3/dist-packages/apport/__init__.py", line 5, in <module>
    from apport.report import Report
  File "/usr/lib/python3/dist-packages/apport/report.py", line 30, in <module>
    import apport.fileutils
  File "/usr/lib/python3/dist-packages/apport/fileutils.py", line 23, in <module>
    from apport.packaging_impl import impl as packaging
  File "/usr/lib/python3/dist-packages/apport/packaging_impl.py", line 24, in <module>
    import apt
  File "/usr/lib/python3/dist-packages/apt/__init__.py", line 23, in <module>
    import apt_pkg
ModuleNotFoundError: No module named 'apt_pkg'

Original exception was:
Traceback (most recent call last):
  File "/usr/local/bin/discodoc", line 11, in <module>
    sys.exit(run())
  File "/usr/local/lib/python3.7/dist-packages/discodoc/cli.py", line 102, in run
    results = command.run()
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 108, in run
    self.run_sequential()
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 124, in run_sequential
    self.render_topic(url, filename_prefix=filename_prefix)
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 144, in render_topic
    return self.pandoc(topic.data['title'], filenames, filename_prefix=filename_prefix, metadata={'date': topic.data['created_at']})
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 195, in pandoc
    outcome = subprocess.run(pargs, capture_output=True, timeout=60.0, check=True, encoding='utf-8')
  File "/usr/lib/python3.7/subprocess.py", line 487, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['pandoc', '--standalone', '--self-contained', '--table-of-contents', '--from=html', '--to=latex', '--resource-path=./node_modules', '--variable=geometry:margin=2cm', '--metadata=title=Volk eingegangen und massive Räuberei', '--metadata=date=2019-10-15T19:25:53.892Z', '--output=/root/Volk eingegangen und massive Räuberei.latex.pdf', '/tmp/tmpoaoq6khl', '/tmp/tmpiempqd4d', '/tmp/tmpwuamyyi0', '/tmp/tmp3avb4rlz', '/tmp/tmpvwv8aptv', '/tmp/tmpueyi7ug9', '/tmp/tmphnalnmp8', '/tmp/tmphc3kk98q', '/tmp/tmpkrc7qb75']' returned non-zero exit status 2.

Hi Clemens,

schön dass Du dran bleibst.

So ein Mist, das tut mir leid.

Welche Version von pandoc ist denn bei Dir installiert? Ich habe auf meiner Workstation jene:

$ pandoc --version
pandoc 2.7.3
Compiled with pandoc-types 1.17.5.4, texmath 0.11.2.2, skylighting 0.8.1
Default user data directory: /Users/amo/.local/share/pandoc or /Users/amo/.pandoc
Copyright (C) 2006-2019 John MacFarlane
Web:  http://pandoc.org
This is free software; see the source for copying conditions.
There is no warranty, not even for merchantability or fitness
for a particular purpose.

Es ist eigentlich schon eine zeitlang her, als das entsprechende Feature in pandoc integriert wurde:

Viele Grüße,
Andreas.

:wink: ohne deine Motivation und dein Mittuen stände hier schon längst “gave up”! Danke!

root@XPS13-CGruber:~# pandoc --version
pandoc 1.19.2.4

hmm, absichtlich habe ich so eine alte Version nicht installeirt, kann gerade nicht sagen auf welchem Weg die aufs System kam. Gut, updaten!

Es wird leider nicht besser:

root@XPS13-CGruber:~# discodoc https://community.hiveeyes.org/t/generierung-von-audio-testfiles/2617 --format=pdf
2019-10-18 14:30:37,177 [discodoc.core] INFO   : Collecting posts from topic #2617 "Generierung von Audio-Testfiles" created at 2019-10-10T18:26:39.297Z
2019-10-18 14:30:37,181 [discodoc.core] INFO   : Collecting post number 1 from topic 2617 created at 2019-10-10T18:26:39.352Z "Für den Test unserer Audio-Aufzeichnungs-Lösung [S..."
2019-10-18 14:30:37,188 [discodoc.core] INFO   : Collecting post number 2 from topic 2617 created at 2019-10-10T18:32:16.605Z "[quote="clemens, post:1, topic:2617"] wie wir pass..."
2019-10-18 14:30:37,194 [discodoc.core] INFO   : Collecting post number 3 from topic 2617 created at 2019-10-10T18:40:22.267Z "Wäre gut, wenn man damit auch die Parallelität / V..."
2019-10-18 14:30:37,199 [discodoc.core] INFO   : Collecting post number 4 from topic 2617 created at 2019-10-10T18:54:06.412Z "[quote="clemens, post:3, topic:2617"] was können d..."
2019-10-18 14:30:37,201 [discodoc.core] INFO   : Collecting post number 5 from topic 2617 created at 2019-10-18T00:39:28.111Z "Die gstreamer- [audiotestsrc](https://gstreamer.fr..."
2019-10-18 14:30:37,206 [discodoc.core] INFO   : Collecting post number 6 from topic 2617 created at 2019-10-18T02:02:31.172Z "[quote="weef, post:5, topic:2617"] es geht mir hie..."
2019-10-18 14:30:37,208 [discodoc.core] INFO   : Collecting post number 7 from topic 2617 created at 2019-10-18T11:36:42.084Z "Noch eine Info zum Hintergrund, wir wollten bisher..."
2019-10-18 14:30:37,223 [discodoc.core] INFO   : Writing standalone file "Generierung von Audio-Testfiles.latex.pdf"
2019-10-18 14:30:37,224 [discodoc.core] INFO   : Invoking command: pandoc --standalone --self-contained --table-of-contents --from=html --to=latex --resource-path=./node_modules --variable=geometry:margin=2cm --metadata=title="Generierung von Audio-Testfiles" --metadata=date="2019-10-10T18:26:39.297Z" --output="/root/Generierung von Audio-Testfiles.latex.pdf"
2019-10-18 14:30:47,825 [discodoc.core] ERROR  : Running pandoc failed, output was
STDOUT:

STDERR:
[WARNING] Could not convert image '/tmp/tex2pdf.-a1e8f3cbac11c630/7af895180ce87e4a418cd42e7d2aa6b0058d6222.ico': Cannot load file
  Jpeg Invalid marker used
  PNG Invalid PNG file, signature broken
  Bitmap Invalid Bitmap magic identifier
  GIF Invalid Gif signature :    
  HDR Invalid radiance file signature
  Tiff Invalid endian tag value
  TGA not enough bytes

kpathsea: Running mktextfm ecrm1000
/usr/share/texlive/texmf-dist/web2c/mktexnam: Could not map source abbreviation  for ecrm1000.
/usr/share/texlive/texmf-dist/web2c/mktexnam: Need to update ?
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000
This is METAFONT, Version 2.7182818 (TeX Live 2017/Debian) (preloaded base=mf)

kpathsea: Running mktexmf ecrm1000

! I can't find file `ecrm1000'.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Please type another input file name
! Emergency stop.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Transcript written on mfput.log.
grep: ecrm1000.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000' failed to make ecrm1000.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm ecrm1000
/usr/share/texlive/texmf-dist/web2c/mktexnam: Could not map source abbreviation  for ecrm1000.
/usr/share/texlive/texmf-dist/web2c/mktexnam: Need to update ?
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000
This is METAFONT, Version 2.7182818 (TeX Live 2017/Debian) (preloaded base=mf)

kpathsea: Running mktexmf ecrm1000

! I can't find file `ecrm1000'.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Please type another input file name
! Emergency stop.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Transcript written on mfput.log.
grep: ecrm1000.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000' failed to make ecrm1000.tfm.
kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm ecrm1000
/usr/share/texlive/texmf-dist/web2c/mktexnam: Could not map source abbreviation  for ecrm1000.
/usr/share/texlive/texmf-dist/web2c/mktexnam: Need to update ?
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000
This is METAFONT, Version 2.7182818 (TeX Live 2017/Debian) (preloaded base=mf)

kpathsea: Running mktexmf ecrm1000

! I can't find file `ecrm1000'.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Please type another input file name
! Emergency stop.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

Transcript written on mfput.log.
grep: ecrm1000.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ecrm1000' failed to make ecrm1000.tfm.
kpathsea: Appending font creation commands to missfont.log.
Error producing PDF.
! Font T1/cmr/m/n/10=ecrm1000 at 10.0pt not loadable: Metric (TFM) file not fou
nd.
<to be read again>
                   relax
l.105 \fontencoding\encodingdefault\selectfont


Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 195, in pandoc
    outcome = subprocess.run(pargs, capture_output=True, timeout=60.0, check=True, encoding='utf-8')
  File "/usr/lib/python3.7/subprocess.py", line 487, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['pandoc', '--standalone', '--self-contained', '--table-of-contents', '--from=html', '--to=latex', '--resource-path=./node_modules', '--variable=geometry:margin=2cm', '--metadata=title=Generierung von Audio-Testfiles', '--metadata=date=2019-10-10T18:26:39.297Z', '--output=/root/Generierung von Audio-Testfiles.latex.pdf', '/tmp/tmpgdsmt3id', '/tmp/tmpdcewjz52', '/tmp/tmpm4vt89v6', '/tmp/tmpf4_8n1t8', '/tmp/tmpzi_s697j', '/tmp/tmp7shogybm', '/tmp/tmporls0rph']' returned non-zero exit status 43.
Traceback (most recent call last):
  File "/usr/local/bin/discodoc", line 11, in <module>
    sys.exit(run())
  File "/usr/local/lib/python3.7/dist-packages/discodoc/cli.py", line 102, in run
    results = command.run()
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 108, in run
    self.run_sequential()
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 124, in run_sequential
    self.render_topic(url, filename_prefix=filename_prefix)
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 144, in render_topic
    return self.pandoc(topic.data['title'], filenames, filename_prefix=filename_prefix, metadata={'date': topic.data['created_at']})
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 195, in pandoc
    outcome = subprocess.run(pargs, capture_output=True, timeout=60.0, check=True, encoding='utf-8')
  File "/usr/lib/python3.7/subprocess.py", line 487, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['pandoc', '--standalone', '--self-contained', '--table-of-contents', '--from=html', '--to=latex', '--resource-path=./node_modules', '--variable=geometry:margin=2cm', '--metadata=title=Generierung von Audio-Testfiles', '--metadata=date=2019-10-10T18:26:39.297Z', '--output=/root/Generierung von Audio-Testfiles.latex.pdf', '/tmp/tmpgdsmt3id', '/tmp/tmpdcewjz52', '/tmp/tmpm4vt89v6', '/tmp/tmpf4_8n1t8', '/tmp/tmpzi_s697j', '/tmp/tmp7shogybm', '/tmp/tmporls0rph']' returned non-zero exit status 43.
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 63, in apport_excepthook
    from apport.fileutils import likely_packaged, get_recent_crashes
  File "/usr/lib/python3/dist-packages/apport/__init__.py", line 5, in <module>
    from apport.report import Report
  File "/usr/lib/python3/dist-packages/apport/report.py", line 30, in <module>
    import apport.fileutils
  File "/usr/lib/python3/dist-packages/apport/fileutils.py", line 23, in <module>
    from apport.packaging_impl import impl as packaging
  File "/usr/lib/python3/dist-packages/apport/packaging_impl.py", line 24, in <module>
    import apt
  File "/usr/lib/python3/dist-packages/apt/__init__.py", line 23, in <module>
    import apt_pkg
ModuleNotFoundError: No module named 'apt_pkg'

Original exception was:
Traceback (most recent call last):
  File "/usr/local/bin/discodoc", line 11, in <module>
    sys.exit(run())
  File "/usr/local/lib/python3.7/dist-packages/discodoc/cli.py", line 102, in run
    results = command.run()
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 108, in run
    self.run_sequential()
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 124, in run_sequential
    self.render_topic(url, filename_prefix=filename_prefix)
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 144, in render_topic
    return self.pandoc(topic.data['title'], filenames, filename_prefix=filename_prefix, metadata={'date': topic.data['created_at']})
  File "/usr/local/lib/python3.7/dist-packages/discodoc/core.py", line 195, in pandoc
    outcome = subprocess.run(pargs, capture_output=True, timeout=60.0, check=True, encoding='utf-8')
  File "/usr/lib/python3.7/subprocess.py", line 487, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['pandoc', '--standalone', '--self-contained', '--table-of-contents', '--from=html', '--to=latex', '--resource-path=./node_modules', '--variable=geometry:margin=2cm', '--metadata=title=Generierung von Audio-Testfiles', '--metadata=date=2019-10-10T18:26:39.297Z', '--output=/root/Generierung von Audio-Testfiles.latex.pdf', '/tmp/tmpgdsmt3id', '/tmp/tmpdcewjz52', '/tmp/tmpm4vt89v6', '/tmp/tmpf4_8n1t8', '/tmp/tmpzi_s697j', '/tmp/tmp7shogybm', '/tmp/tmporls0rph']' returned non-zero exit status 43.

Sorry, I am running out of ideas here. Bummer! May I humbly ask which version of pandoc you are running after the upgrade?